package com.qianhe.zqcz.xmrylsjl.service;

import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjl;
import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjlQuery;
import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjlVo;

import java.util.List;

public interface ZqczXmRyLsjlService {
    /**
     * 条件查询
     */
    List<ZqczXmRyLsjlVo> list(ZqczXmRyLsjlQuery zqczXmRyLsjlQuery);

    /**
     * 根据基层任务ID 开始项目抽检
     */
    int spotCheckAdd(ZqczXmRyLsjlQuery zqczXmRyLsjlQuery);

    /**
     * 修改
     */
    int edit(ZqczXmRyLsjl zqczXmRyLsjl, String username);
}
